/*
 * This file is part of SESim.
 *
 * SESim is free software: you can redistribute it and/or modify
 * it under the terms of the GNU General Public License as published by
 * the Free Software Foundation, either version 3 of the License, or
 * (at your option) any later version.
 *
 * SESim is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU General Public License for more details.
 *
 * You should have received a copy of the GNU General Public License
 * along with SESim.  If not, see <http://www.gnu.org/licenses/>.
 * 
 * Copyright 2008, 2009, 2010, 2011 Alpen-Adria-Universitaet Klagenfurt, Markus Waltl.
 */
package interfaces;

/**
 * DeviceDefinition
 * 
 * Interface for managing the keywords for the simulator
 * 
 * @author Markus Waltl (Alpen-Adria-Universitaet Klagenfurt)
 * @version 1.0
 */
public interface DeviceDefinition {
	// Device keywords
	public final static String FAN = "fan";
	public final static String VIBRATOR = "vibrator";
	public final static String PERFUMER = "perfumer";
	public final static String WATERSPRAYER = "watersprayer";
	public final static String AIRCONDITIONER = "airconditioner";
	public final static String SOUND = "sound";
	public final static String LIGHT = "light";
	public final static String FOG = "fog";	
	
	//timer settings
	public final static long TIMERINTERVAL = 100; // 100ms
	public final static float DECREASETIME = DeviceDefinition.TIMERINTERVAL/1000.0f;
}
