/*
 * This file is part of SESim.
 *
 * SESim is free software: you can redistribute it and/or modify
 * it under the terms of the GNU General Public License as published by
 * the Free Software Foundation, either version 3 of the License, or
 * (at your option) any later version.
 *
 * SESim is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU General Public License for more details.
 *
 * You should have received a copy of the GNU General Public License
 * along with SESim.  If not, see <http://www.gnu.org/licenses/>.
 * 
 * Copyright 2008, 2009, 2010, 2011 Alpen-Adria-Universitaet Klagenfurt, Markus Waltl.
 */
package lib;
import java.awt.Color;
import java.awt.Component;
import javax.swing.JTable;
import javax.swing.table.DefaultTableCellRenderer;

import upnp.UPnPContainer;
import upnp.UPnPTypes;

/**
 * Class providing a table cell renderer for UPnP
 * @author Markus Waltl
 *
 */
public class ContentTableCellRenderer extends DefaultTableCellRenderer {
	private static final long serialVersionUID = 1197544030081947643L;
     
     public Component getTableCellRendererComponent(JTable table, Object value,boolean isSelected, boolean hasFocus, 
    		 int row, int column) {

    	 Component comp = super.getTableCellRendererComponent(table,  value, isSelected, hasFocus, row, column);

		UPnPContainer container =  (UPnPContainer)table.getModel().getValueAt(row, 1);
		
		if(container.getType() != UPnPTypes.UPNP_ITEM)
		    comp.setBackground(new Color(243, 243, 0));
		else
		    comp.setBackground(null);
		
		return comp;

     }
}
