/*
 * This file is part of SESim.
 *
 * SESim is free software: you can redistribute it and/or modify
 * it under the terms of the GNU General Public License as published by
 * the Free Software Foundation, either version 3 of the License, or
 * (at your option) any later version.
 *
 * SESim is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU General Public License for more details.
 *
 * You should have received a copy of the GNU General Public License
 * along with SESim.  If not, see <http://www.gnu.org/licenses/>.
 * 
 * Copyright 2008, 2009, 2010, 2011 Alpen-Adria-Universitaet Klagenfurt, Markus Waltl.
 */
package lib;

/**
 * Interface which defines variables for the SEM parsing
 * @author Markus Waltl (Alpen-Adria-Universitaet Klagenfurt)
 *
 */
public interface SEMDefinitions {
	public final static String TIMESCALE = "timeScale";
	public final static String PTS = "pts";
	public final static String ANCHORELEMENT = "anchorElement";
	
	public final static String TRUE = "true";
	public final static String FALSE = "false";
	
	public final static String ACTIVATE = "activate";
	public final static String DURATION = "duration";
	public final static String ALT = "alt";
	public final static String FADE = "fade";
	public final static String LOCATION = "location";
	public final static String AUTOEXTRACTION = "autoExtraction";
	public final static String PRIORITY = "priority";
}
