/*
 * This file is part of SESim.
 *
 * SESim is free software: you can redistribute it and/or modify
 * it under the terms of the GNU General Public License as published by
 * the Free Software Foundation, either version 3 of the License, or
 * (at your option) any later version.
 *
 * SESim is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU General Public License for more details.
 *
 * You should have received a copy of the GNU General Public License
 * along with SESim.  If not, see <http://www.gnu.org/licenses/>.
 * 
 * Copyright 2008, 2009, 2010, 2011 Alpen-Adria-Universitaet Klagenfurt, Markus Waltl.
 */
package lib;

/**
 * SEMFileFilter
 * 
 * Class for setting the SEM filter for the filechooser
 * 
 * @author Markus Waltl (Alpen-Adria-Universitaet Klagenfurt)
 * @version 1.0
 */
public class SEMFileFilter extends javax.swing.filechooser.FileFilter 
{
	/**
	 * Constructor
	 */
	public SEMFileFilter() 
	{
	}

    /**
     * Method for checking if file should be accepted
     * 
     * @param file file to check
     * @return true if file is accepted else false
     */
	public boolean accept(java.io.File file) 
	{
		return ((file.getName()).toLowerCase().endsWith(".xml"))
			|| (file.isDirectory());
	}

    /**
     * Returns a string which descripes
     * the filter in the file chooser
     * 
     * @return String with description
     */
	public String getDescription() 
	{
		return new String(".xml Files");
	}
}
